<?php
/**
 * Languages
 *
 * @package workreap
 */

if (!function_exists('workreap_prepare_languages')) {

    function workreap_prepare_languages() {
        return $language_codes = array(
        'ab' => esc_html__('Abkhazian','workreap'),
		'aa' => esc_html__('Afar','workreap'),
		'zu' => esc_html__('Zulu','workreap'),
		'af' => esc_html__('Afrikaans','workreap'),
		'ak' => esc_html__('Akan','workreap'),
		'sq' => esc_html__('Albanian','workreap'),
		'am' => esc_html__('Amharic','workreap'),
		'ar' => esc_html__('Arabic','workreap'),
		'an' => esc_html__('Aragonese','workreap'),
		'hy' => esc_html__('Armenian','workreap'),
		'as' => esc_html__('Assamese','workreap'),
		'av' => esc_html__('Avaric','workreap'),
		'ae' => esc_html__('Avestan','workreap'), 
		'ay' => esc_html__('Aymara','workreap'),
		'az' => esc_html__('Azerbaijani','workreap'),
		'bm' => esc_html__('Bambara','workreap'),
		'ba' => esc_html__('Bashkir','workreap'),
		'eu' => esc_html__('Basque','workreap'),
		'be' => esc_html__('Belarusian','workreap'),
		'bn' => esc_html__('Bengali','workreap'),
		'bh' => esc_html__('Bihari languages','workreap'),
		'bi' => esc_html__('Bislama','workreap'),
		'bs' => esc_html__('Bosnian','workreap'),
		'br' => esc_html__('Breton','workreap'),
		'bg' => esc_html__('Bulgarian','workreap'),
		'my' => esc_html__('Burmese','workreap'),
		'ca' => esc_html__('Catalan, Valencian','workreap'),
		'ct' => esc_html__('Catalan, Catalunya','workreap'),
		'km' => esc_html__('Central Khmer','workreap'),
		'ch' => esc_html__('Chamorro','workreap'),
		'ce' => esc_html__('Chechen','workreap'),
		'ny' => esc_html__('Chichewa, Chewa, Nyanja','workreap'),
		'zh' => esc_html__('Chinese','workreap'),
		'cu' => esc_html__('Church Slavonic, Old Bulgarian, Old Church Slavonic','workreap'),
		'cv' => esc_html__('Chuvash','workreap'),
		'kw' => esc_html__('Cornish','workreap'),
		'co' => esc_html__('Corsican','workreap'),
		'cr' => esc_html__('Cree','workreap'),
		'hr' => esc_html__('Croatian','workreap'),
		'cs' => esc_html__('Czech','workreap'),
		'da' => esc_html__('Danish','workreap'),
		'dv' => esc_html__('Divehi, Dhivehi, Maldivian','workreap'),
		'nl' => esc_html__('Dutch, Flemish','workreap'),
		'dz' => esc_html__('Dzongkha','workreap'),
		'en' => esc_html__('English','workreap'),
		'eo' => esc_html__('Esperanto','workreap'),
		'et' => esc_html__('Estonian','workreap'),
		'ee' => esc_html__('Ewe','workreap'),
		'fo' => esc_html__('Faroese','workreap'),
		'fj' => esc_html__('Fijian','workreap'),
		'fi' => esc_html__('Finnish','workreap'),
		'fr' => esc_html__('French','workreap'),
		'ff' => esc_html__('Fulah','workreap'),
		'gd' => esc_html__('Gaelic, Scottish Gaelic','workreap'),
		'gl' => esc_html__('Galician','workreap'),
		'lg' => esc_html__('Ganda','workreap'),
		'ka' => esc_html__('Georgian','workreap'),
		'de' => esc_html__('German','workreap'),
		'ki' => esc_html__('Gikuyu, Kikuyu','workreap'),
		'el' => esc_html__('Greek (Modern)','workreap'),
		'kl' => esc_html__('Greenlandic, Kalaallisut','workreap'),
		'gn' => esc_html__('Guarani','workreap'),
		'gu' => esc_html__('Gujarati','workreap'),
		'ht' => esc_html__('Haitian, Haitian Creole','workreap'),
		'ha' => esc_html__('Hausa','workreap'),
		'he' => esc_html__('Hebrew','workreap'),
		'hz' => esc_html__('Herero','workreap'),
		'hi' => esc_html__('Hindi','workreap'),
		'ho' => esc_html__('Hiri Motu','workreap'),
		'hu' => esc_html__('Hungarian','workreap'),
		'is' => esc_html__('Icelandic','workreap'),
		'io' => esc_html__('Ido','workreap'),
		'ig' => esc_html__('Igbo','workreap'),
		'id' => esc_html__('Indonesian','workreap'),
		'ia' => esc_html__('Interlingua (International Auxiliary Language Association)','workreap'),
		'ie' => esc_html__('Interlingue','workreap'),
		'iu' => esc_html__('Inuktitut','workreap'),
		'ik' => esc_html__('Inupiaq','workreap'),
		'ga' => esc_html__('Irish','workreap'),
		'it' => esc_html__('Italian','workreap'),
		'ja' => esc_html__('Japanese','workreap'),
		'jv' => esc_html__('Javanese','workreap'),
		'kn' => esc_html__('Kannada','workreap'),
		'kr' => esc_html__('Kanuri','workreap'),
		'ks' => esc_html__('Kashmiri','workreap'),
		'kk' => esc_html__('Kazakh','workreap'),
		'rw' => esc_html__('Kinyarwanda','workreap'),
		'kv' => esc_html__('Komi','workreap'),
		'kg' => esc_html__('Kongo','workreap'),
		'ko' => esc_html__('Korean','workreap'),
		'kj' => esc_html__('Kwanyama, Kuanyama','workreap'),
		'ku' => esc_html__('Kurdish','workreap'),
		'ky' => esc_html__('Kyrgyz','workreap'),
		'lo' => esc_html__('Lao','workreap'),
		'la' => esc_html__('Latin','workreap'),
		'lv' => esc_html__('Latvian','workreap'),
		'lb' => esc_html__('Letzeburgesch, Luxembourgish','workreap'),
		'li' => esc_html__('Limburgish, Limburgan, Limburger','workreap'),
		'ln' => esc_html__('Lingala','workreap'),
		'lt' => esc_html__('Lithuanian','workreap'),
		'lu' => esc_html__('Luba-Katanga','workreap'),
		'mk' => esc_html__('Macedonian','workreap'),
		'mg' => esc_html__('Malagasy','workreap'),
		'ms' => esc_html__('Malay','workreap'),
		'ml' => esc_html__('Malayalam','workreap'),
		'mt' => esc_html__('Maltese','workreap'),
		'gv' => esc_html__('Manx','workreap'),
		'mi' => esc_html__('Maori','workreap'),
		'mr' => esc_html__('Marathi','workreap'),
		'mh' => esc_html__('Marshallese','workreap'),
		'ro' => esc_html__('Moldovan, Moldavian, Romanian','workreap'),
		'mn' => esc_html__('Mongolian','workreap'),
		'na' => esc_html__('Nauru','workreap'),
		'nv' => esc_html__('Navajo, Navaho','workreap'),
		'nd' => esc_html__('Northern Ndebele','workreap'),
		'ng' => esc_html__('Ndonga','workreap'),
		'ne' => esc_html__('Nepali','workreap'),
		'se' => esc_html__('Northern Sami','workreap'),
		'no' => esc_html__('Norwegian','workreap'),
		'nb' => esc_html__('Norwegian Bokmål','workreap'),
		'nn' => esc_html__('Norwegian Nynorsk','workreap'),
		'ii' => esc_html__('Nuosu, Sichuan Yi','workreap'),
		'oc' => esc_html__('Occitan (post 1500)','workreap'),
		'oj' => esc_html__('Ojibwa','workreap'),
		'or' => esc_html__('Oriya','workreap'),
		'om' => esc_html__('Oromo','workreap'),
		'os' => esc_html__('Ossetian, Ossetic','workreap'),
		'pi' => esc_html__('Pali','workreap'),
		'pa' => esc_html__('Panjabi, Punjabi','workreap'),
		'ps' => esc_html__('Pashto, Pushto','workreap'),
		'fa' => esc_html__('Persian','workreap'),
		'pl' => esc_html__('Polish','workreap'),
		'pt' => esc_html__('Portuguese','workreap'),
		'qu' => esc_html__('Quechua','workreap'),
		'rm' => esc_html__('Romansh','workreap'),
		'rn' => esc_html__('Rundi','workreap'),
		'ru' => esc_html__('Russian','workreap'),
		'sm' => esc_html__('Samoan','workreap'),
		'sg' => esc_html__('Sango','workreap'),
		'sa' => esc_html__('Sanskrit','workreap'),
		'sc' => esc_html__('Sardinian','workreap'),
		'sr' => esc_html__('Serbian','workreap'),
		'sn' => esc_html__('Shona','workreap'),
		'sd' => esc_html__('Sindhi','workreap'),
		'si' => esc_html__('Sinhala, Sinhalese','workreap'),
		'sk' => esc_html__('Slovak','workreap'),
		'sl' => esc_html__('Slovenian','workreap'),
		'so' => esc_html__('Somali','workreap'),
		'st' => esc_html__('Sotho, Southern','workreap'),
		'nr' => esc_html__('South Ndebele','workreap'),
		'es' => esc_html__('Spanish, Castilian','workreap'),
		'su' => esc_html__('Sundanese','workreap'),
		'sw' => esc_html__('Swahili','workreap'),
		'ss' => esc_html__('Swati','workreap'),
		'sv' => esc_html__('Swedish','workreap'),
		'tl' => esc_html__('Tagalog','workreap'),
		'ty' => esc_html__('Tahitian','workreap'),
		'tg' => esc_html__('Tajik','workreap'),
		'ta' => esc_html__('Tamil','workreap'),
		'tt' => esc_html__('Tatar','workreap'),
		'te' => esc_html__('Telugu','workreap'),
		'th' => esc_html__('Thai','workreap'),
		'bo' => esc_html__('Tibetan','workreap'),
		'ti' => esc_html__('Tigrinya','workreap'),
		'to' => esc_html__('Tonga (Tonga Islands)','workreap'),
		'ts' => esc_html__('Tsonga','workreap'),
		'tn' => esc_html__('Tswana','workreap'),
		'tr' => esc_html__('Turkish','workreap'),
		'tk' => esc_html__('Turkmen','workreap'),
		'tw' => esc_html__('Twi','workreap'),
		'ug' => esc_html__('Uighur, Uyghur','workreap'),
		'uk' => esc_html__('Ukrainian','workreap'),
		'ur' => esc_html__('Urdu','workreap'),
		'uz' => esc_html__('Uzbek','workreap'),
		've' => esc_html__('Venda','workreap'),
		'vi' => esc_html__('Vietnamese','workreap'),
		'vo' => esc_html__('Volap_k','workreap'),
		'wa' => esc_html__('Walloon','workreap'),
		'cy' => esc_html__('Welsh','workreap'),
		'fy' => esc_html__('Western Frisian','workreap'),
		'wo' => esc_html__('Wolof','workreap'),
		'xh' => esc_html__('Xhosa','workreap'),
		'yi' => esc_html__('Yiddish','workreap'),
		'yo' => esc_html__('Yoruba','workreap'),
		'za' => esc_html__('Zhuang, Chuang','workreap'),
		'zu' => esc_html__('Zulu','workreap')
        );
    }

}